xmlChildren {XML} | R Documentation

## Gets the sub-nodes within an XMLNode object.

### Description

These functions provide access to the children of the given XML node. The simple accessor returns a list of child XMLNode objects within an XMLNode object.

The assignment operator (`xmlChildren<-`) sets the children of the node to the given value and returns the updated/modified node. No checking is currently done on the type and values of the right hand side. This allows the children of the node to be arbitrary R objects. This can be useful but means that one cannot rely on any structure in a node being present..

### Usage

    xmlChildren(x, addNames= TRUE, ...)

### Arguments

`x` | an object of class XMLNode.
`addNames` | a logical value indicating whether to add the XML names of the nodes as names of the R list. This is only relevant for XMLInternalNode objects as XMLNode objects in R already have R-level names.
`...` | additional arguments for the particular methods, e.g. `omitTypes` for an XMLInternalNode.

### Value

A list whose elements are sub-nodes of the user-specified XMLNode. These are also of class XMLNode.

### Author(s)

Duncan Temple Lang

### References

http://www.w3.org/XML

### See Also

`xmlChildren`,`xmlSize`, `xmlTreeParse`

### Examples

      fileName <- system.file("exampleData", "mtcars.xml", package="XML")
      doc <- xmlTreeParse(fileName)
      names(xmlChildren(doc$doc$children[["dataset"]]))

[Package XML version 3.98-1.4 Index]